const contingencyBodiesHeavy = [
	"Body14SUP", // Dragon
	"Body27SUP", // Excalibur
	"Body25SUP", // Sabretooth
	"Body23SUP", // Couatl
	"Body13SUP", // Wyvern
	"Body22HVY", // Claymore
	"Body9REC", // Tiger
	"Body11ABT", // Python
	"Body16MED", // Salamander
	"Body21MED", // Longsword
	"Body6SUPP", // Panther
	"Body5REC", // Cobra
	"Body15LGT", // Wyrmling
	"Body20LGT", // Gladius
	"Body2SUP", // Leopard
	"Body1REC", // Viper
];

const contingencyBodiesLight = [
	"Body28SUP", // Nemesis
	"Body26SUP", // Phoenix
	"Body24SUP", // Abaddon
	"Body10MBT", // Vengeance
	"Body19HVY", // Eagle
	"Body12SUP", // Mantis
	"Body11ABT", // Python
	"Body7ABT", // Retribution
	"Body18MED", // Warhawk
	"Body8MBT", // Scorpion
	"Body5REC", // Cobra
	"Body3MBT", // Retaliation
	"Body17LGT", // Falcon
	"Body4ABT", // Bug
];

const contingencyBodiesSuperArmored = [
	"Body14SUP", // Dragon
	"Body27SUP", // Excalibur
	"Body28SUP", // Nemesis
	"Body25SUP", // Sabretooth
	"Body26SUP", // Phoenix
	"Body23SUP", // Couatl
	"Body24SUP", // Abaddon
];

const contingencyBodiesHeavyArmored = [
	"Body13SUP", // Wyvern
	"Body22HVY", // Claymore
	"Body10MBT", // Vengeance
	"Body9REC", // Tiger
	"Body19HVY", // Eagle
	"Body11ABT", // Python
	"Body12SUP", // Mantis
];

const contingencyBodiesMediumArmored = [
	"Body16MED", // Salamander
	"Body21MED", // Longsword
	"Body7ABT", // Retribution
	"Body6SUPP", // Panther
	"Body18MED", // Warhawk
	"Body5REC", // Cobra
	"Body8MBT", // Scorpion
];

const contingencyBodiesLightArmored = [
	"Body15LGT", // Wyrmling
	"Body20LGT", // Gladius
	"Body3MBT", // Retaliation
	"Body2SUP", // Leopard
	"Body17LGT", // Falcon
	"Body1REC", // Viper
	"Body4ABT", // Bug
];

const contingencyBodiesSuperFast = [
	"Body28SUP", // Nemesis
	"Body26SUP", // Phoenix
	"Body24SUP", // Abaddon
];

const contingencyBodiesHeavyFast = [
	"Body10MBT", // Vengeance
	"Body19HVY", // Eagle
	"Body12SUP", // Mantis
];

const contingencyBodiesMediumFast = [
	"Body7ABT", // Retribution
	"Body18MED", // Warhawk
	"Body8MBT", // Scorpion
];

const contingencyBodiesLightFast = [
	"Body3MBT", // Retaliation
	"Body17LGT", // Falcon
	"Body4ABT", // Bug
];

const contingencyBodiesSuperCheap = [
	"Body24SUP", // Abaddon
	"Body23SUP", // Couatl
];

const contingencyBodiesHeavyCheap = [
	"Body12SUP", // Mantis
	"Body11ABT", // Python
];

const contingencyBodiesMediumCheap = [
	"Body8MBT", // Scorpion
	"Body5REC", // Cobra
];

const contingencyBodiesLightCheap = [
	"Body4ABT", // Bug
	"Body1REC", // Viper
];

const contingencyBodiesSuperVtol = [
	"Body14SUP", // Dragon
	"Body28SUP", // Nemesis
	"Body27SUP", // Excalibur
	"Body26SUP", // Phoenix
	"Body25SUP", // Sabretooth
	"Body24SUP", // Abaddon
	"Body23SUP", // Couatl
];

const contingencyBodiesHeavyVtol = [
	"Body13SUP", // Wyvern
	"Body10MBT", // Vengeance
	"Body22HVY", // Claymore
	"Body19HVY", // Eagle
	"Body9REC", // Tiger
	"Body12SUP", // Mantis
	"Body11ABT", // Python
];

const contingencyBodiesMediumVtol = [
	"Body16MED", // Salamander
	"Body7ABT", // Retribution
	"Body21MED", // Longsword
	"Body18MED", // Warhawk
	"Body6SUPP", // Panther
	"Body8MBT", // Scorpion
	"Body5REC", // Cobra
];

const contingencyBodiesLightVtol = [
	"Body15LGT", // Wyrmling
	"Body3MBT", // Retaliation
	"Body20LGT", // Gladius
	"Body17LGT", // Falcon
	"Body2SUP", // Leopard
	"Body4ABT", // Bug
	"Body1REC", // Viper
];

//override globals to make use of Contingency material

sensors = [ //Don't bother building any flimsy steel sensor towers. Instead, wait until hardened sensor towers become available.
	"Sys-SensoTowerWS", // wide spectrum sensor
	"Sys-SensoTower02", // hardened sensor
];

cbtower = [
	"Sys-CB-Tower02", // Hardened Counter-Battery Tower
];

detector = [
	"Sys-RadarDetector02", // Hardened Radar Detector Tower
];

repair = [
	"A0RepairCentre4", // repair facility 4
	"A0RepairCentre3", // repair facility 3
	"A0RepairCentre2", // repair facility 2
	"A0RepairCentre", // repair facility 1
];

sensorTurrets = [
	"Sensor-WideSpec", // wide spectrum sensor
	"SensorTower2Mk1", // heavy sensor
	"SensorTurret1Mk1", // sensor
];

cbTurrets = [
	"Sys-CBTower01", // heavy cb turret
	"Sys-CBTurret01", // counter-battery turret
];

detectorTurrets = [
	"RadarDetectorHvy", // heavy radar detector
	"RadarDetector", // radar detector
];

empTurrets = [
	"MortarEMP", //EMP Mortar
	"EMP-Cannon", //EMP Cannon
];

truckTurrets = [
	"Spade4Mk1", // truck turret 4
	"Spade3Mk1", // truck turret 3
	"Spade2Mk1", // truck turret 2
	"Spade1Mk1", // truck turret 1
];
truckTurretsLight = [
	"Spade4Mk1", // truck turret 4
	"Spade3Mk1", // truck turret 3
	"Spade2Mk1", // truck turret 2
	"Spade1Mk1", // truck turret 1
];
truckTurretsMedium = truckTurretsLight;
truckTurretsHeavy = [
	"Spade4Hvy", // truck turret 4
	"Spade3Hvy", // truck turret 3
	"Spade2Hvy", // truck turret 2
	"Spade1Hvy", // truck turret 1
];
truckTurretsHeavy = truckTurretsHeavy.concat(truckTurretsLight);

truckBodies = contingencyBodiesLightCheap;
truckBodiesLight = contingencyBodiesLightArmored;
truckBodiesMedium = contingencyBodiesMediumArmored;
truckBodiesHeavy = contingencyBodiesHeavyArmored;
truckBodiesLightHover = contingencyBodiesLightCheap;
//truckBodiesMediumHover = contingencyBodiesMediumCheap;
//truckBodiesHeavyHover = contingencyBodiesHeavyCheap;

truckPropulsionsLight = [
	"tracked01", // tracks
	"HalfTrack", // half-track
	"wheeled01", // wheels
];
truckPropulsionsMedium = truckPropulsionsLight;
truckPropulsionsHeavy = truckPropulsionsMedium;

engineerStats = [
	["Cyb-Bod-ComEng4","CyborgSpade4","CyborgLegs"],
	["Cyb-Bod-ComEng3","CyborgSpade3","CyborgLegs"],
	["Cyb-Bod-ComEng2","CyborgSpade2","CyborgLegs"],
	["Cyb-Bod-ComEng","CyborgSpade","CyborgLegs"],
];

